Bug 267524 - IDE can't expand GDB tooltip
IDE can't expand GDB tooltip
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
8.2
PC Solaris
: P2 (vote)
: 8.2
Assigned To: Maria Tishkova
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-10 13:36 UTC by soldatov
Modified: 2017-04-08 03:07 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
NetBeans 8.1 works nicely (83.31 KB, image/png)
2016-08-10 13:37 UTC, soldatov
Details
NetBeans Dev. Screenshot 1. (84.52 KB, image/png)
2016-08-10 13:38 UTC, soldatov
Details
NetBeans Dev. Screenshot 2 (try to expand tooltip). (82.64 KB, image/png)
2016-08-10 13:39 UTC, soldatov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-08-10 13:36:38 UTC
Environment: Solaris 11.3, GCC 4.8, GDB 7.6

Code:
#include <cstdlib>
#include <vector>

using namespace std;

int main(int argc, char** argv) {
    vector<int> v;
    v.push_back(10);
    v.push_back(20);
    v.push_back(30);
    return 0;
}
Comment 1 soldatov 2016-08-10 13:37:32 UTC
Created attachment 161621 [details]
NetBeans 8.1 works nicely
Comment 2 soldatov 2016-08-10 13:38:35 UTC
Created attachment 161622 [details]
NetBeans Dev. Screenshot 1.
Comment 3 soldatov 2016-08-10 13:39:30 UTC
Created attachment 161623 [details]
NetBeans Dev. Screenshot 2 (try to expand tooltip).
Comment 4 Maria Tishkova 2016-09-07 10:13:05 UTC
changeset:   300449:d66efe58ab7f
tag:         tip
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Wed Sep 07 13:11:33 2016 +0300
summary:     fixed bz#267524 - IDE can't expand GDB tooltip  and bz#267526 - "Show Pinned Watches" context menu item doesn't exist
Comment 5 Quality Engineering 2016-09-08 01:56:36 UTC
Integrated into 'main-silver', will be available in build *201609080002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/d66efe58ab7f
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#267524 - IDE can't expand GDB tooltip  and bz#267526 - "Show Pinned Watches" context menu item doesn't exist
Comment 6 soldatov 2016-09-09 11:30:52 UTC
Verified in NetBeans IDE Dev (Build 201609090002)
Comment 7 Quality Engineering 2017-04-08 03:07:38 UTC
Integrated into 'main-silver', will be available in build *201704080002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/57a7e88a4026
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#267524 - IDE can't expand GDB tooltip  and bz#267526 - "Show Pinned Watches" context menu item doesn't exist


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo